import { EventEmitter } from 'eventemitter3';
import type { Criteria } from '@makeomatic/confidence';
export interface StoreConfig {
    crashOnError: boolean;
    defaultOpts: Criteria;
}
export { globFiles } from './load-config';
export declare class Store extends EventEmitter {
    readonly opts: Criteria;
    private store;
    private _prepend;
    private _append;
    constructor({ crashOnError, defaultOpts }?: Partial<StoreConfig>);
    /**
     * Add base configuration
     */
    prependDefaultConfiguration(baseConfig: unknown): void;
    /**
     * Appends passed configuration to resolved config
     */
    append(configuration: unknown): void;
    /**
     * Triggers reload from the disk
     */
    reload(): Promise<void>;
    /**
     * alias for reload for now
     */
    ready(): Promise<void>;
    enableReload(): void;
    disableReload(): void;
    get<Response>(key: string, opts?: Criteria): Response | undefined;
    meta<Response>(key: string, opts?: Criteria): Response | undefined;
}
